%define upstream_name	 URI
%define upstream_version 1.60

%define _requires_exceptions perl(Business::ISBN)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    URI module for perl
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/URI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MIME::Base64) >= 2.0.0
BuildRequires: perl(Test)
BuildRequires: perl(Test::More)
BuildRequires: rpm-build >= 4.2-7mdk
BuildArch:  noarch

%description
This Perl module implements the URI class. Objects of this class represent
Uniform Resource Identifier (URI) references as specified in RFC 2396.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
%{__make} test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README URI
%{perl_vendorlib}/URI.pm
%{perl_vendorlib}/URI
%{_mandir}/*/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.600.0-3.mga4
+ Revision: 515825
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.600.0-2.mga3
+ Revision: 374546
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 1.600.0-1.mga3
+ Revision: 255558
- update to 1.60
- update to 1.59

* Wed Feb 16 2011 jquelin <jquelin> 1.580.0-1.mga1
+ Revision: 52216
- update to 1.58
- mageia rebuild
- imported package perl-URI

